Contenu | Rechercher | Menus

#1 Le 14/10/2012, à 11:25

lemmings
Membre

compilation openssl

Bonjour,

Je suis sous Lucid et j'ai besoin d'installer la libssl en version 1.0. Or la version de base sous lucid est la 0.9.x.
J'ai donc téléchargé les sources de opensll (depuis libssl 1.0) et exécuté les commandes

./configure
sudo make install

ca m'a créé le répertoire /usr/local/ssl mais lorsque je fais

openssl version
OpenSSL 0.9.8k 25 Mar 2009
locate libssl
/lib/libssl.so.0.9.8
/lib/i486/libssl.so.0.9.8
/lib/i586/libssl.so.0.9.8
/lib/i686/cmov/libssl.so.0.9.8
/usr/lib/libssl.so.0.9.8
/usr/lib/libssl3.so
/usr/lib/libssl3.so.1d
/usr/lib/firefox/libssl3.so
/usr/lib/thunderbird/libssl3.so
/usr/share/doc/libssl0.9.8
/usr/share/doc/libssl0.9.8/changelog.Debian.gz
/usr/share/doc/libssl0.9.8/changelog.gz
/usr/share/doc/libssl0.9.8/copyright
/var/lib/dpkg/info/libssl0.9.8.list
/var/lib/dpkg/info/libssl0.9.8.md5sums
/var/lib/dpkg/info/libssl0.9.8.postinst
/var/lib/dpkg/info/libssl0.9.8.postrm
/var/lib/dpkg/info/libssl0.9.8.shlibs
/var/lib/dpkg/info/libssl0.9.8.templates

donc ma lib compilée n'est pas prise en compte. Comment faire en sorte qu'elle soit reconnue et utilisée ?

Hors ligne